> For the complete documentation index, see [llms.txt](https://docs.ionos.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/reference/software-development-kits/sdks.md).

# SDKs

{% hint style="warning" %}
**Important:** The <code class="expression">space.vars.ionos\_cloud</code> SDKs documentation has officially moved to a new, unified portal featuring improved, product-centric navigation. Please update your bookmarks and access all the documentation at the new, product-centric [<mark style="color:blue;">SDK & Tools Home</mark>](https://docs.ionos.com/cloud/sdk-tools-home) as this current page will soon be deprecated.
{% endhint %}

Software Development Kits (SDKs) are the comprehensive packages that provide tools, libraries, and code samples necessary to integrate a platform into your application. SDKs streamline the development process by abstracting away the complexity of interacting with the underlying APIs, allowing you to focus on building your applications.

## Benefits

The <code class="expression">space.vars.ionos\_cloud</code> SDKs offer the following key benefits:

* **Streamlined Integration:** The <code class="expression">space.vars.ionos\_cloud</code> SDKs provide libraries that simplify service integration into your applications.
* **Scalability and Flexibility:** <code class="expression">space.vars.ionos\_cloud</code> SDKs let you handle growing workloads through scalability and flexibility to adapt to changing requirements.
* **Enhanced Security:** The built-in security features and best practices implemented within the SDKs safeguard your applications and data.
* **Seamless Access to IONOS Cloud Services:** You can interact with various <code class="expression">space.vars.ionos\_cloud</code> services, such as cloud infrastructure, storage, and networking, through the intuitive APIs of our SDKs.
* **Increased Productivity:** You can leverage pre-built functions and components to reduce the development time and effort.
* **Improved Performance:** <code class="expression">space.vars.ionos\_cloud</code> SDKs allow you to get consistent performance across different programming languages and platforms supported by <code class="expression">space.vars.ionos\_cloud</code> SDKs.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/reference/software-development-kits/sdks.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
